HanMacWrdJGraphInternal::Frame Struct Reference documentation

HanMacWrdJGraphInternal::Frame Struct Reference

Internal: the frame header of a HanMacWrdJGraph. More...

Inheritance diagram for HanMacWrdJGraphInternal::Frame:

## Public Member Functions
| Frame ()
| constructor
| Frame (Frame const &)=default
virtual | ~Frame ()
| destructor
MWAWBox2f | getBdBox () const
| return the frame bdbox
virtual bool | valid () const
| returns true if the frame data are read

## Public Attributes
int | m_type
| the graph type
long | m_fileId
| the file id
int | m_id
| the local id
int | m_formatId
| the format id
int | m_page
| the page
MWAWBox2f | m_pos
| the position
float | m_baseline
| the baseline
bool | m_inGroup
| true if this node is a group's child
bool | m_parsed
| true if we have send the data
std::string | m_extra
| an extra string

## Friends
std::ostream & | operator<< (std::ostream &o, Frame const &grph)
| operator<<

## Detailed Description

Internal: the frame header of a HanMacWrdJGraph.

## Constructor & Destructor Documentation

## ◆ Frame() [1/2]

HanMacWrdJGraphInternal::Frame::Frame | ( |  | ) |
| inline

constructor

Referenced by HanMacWrdJGraphInternal::CommentFrame::CommentFrame(), Frame(), HanMacWrdJGraphInternal::Group::Group(), operator<<, HanMacWrdJGraphInternal::PictureFrame::PictureFrame(), HanMacWrdJGraphInternal::SeparatorFrame::SeparatorFrame(), HanMacWrdJGraphInternal::ShapeGraph::ShapeGraph(), HanMacWrdJGraphInternal::TableFrame::TableFrame(), HanMacWrdJGraphInternal::TextboxFrame::TextboxFrame(), and HanMacWrdJGraphInternal::TextFrame::TextFrame().

## ◆ Frame() [2/2]

HanMacWrdJGraphInternal::Frame::Frame | ( | Frame const & |  | ) |
| default

## ◆ ~Frame()

HanMacWrdJGraphInternal::Frame::~Frame | ( |  | ) |
| virtual

destructor

## Member Function Documentation

## ◆ getBdBox()

MWAWBox2f HanMacWrdJGraphInternal::Frame::getBdBox | ( |  | ) | const
| inline

return the frame bdbox

Referenced by HanMacWrdJGraph::sendComment(), HanMacWrdJGraph::sendPictureFrame(), HanMacWrdJGraph::sendShapeGraph(), and HanMacWrdJGraph::sendTextbox().

## ◆ valid()

virtual bool HanMacWrdJGraphInternal::Frame::valid | ( |  | ) | const
| inlinevirtual

returns true if the frame data are read

Reimplemented in HanMacWrdJGraphInternal::CommentFrame, HanMacWrdJGraphInternal::Group, HanMacWrdJGraphInternal::PictureFrame, HanMacWrdJGraphInternal::SeparatorFrame, HanMacWrdJGraphInternal::ShapeGraph, HanMacWrdJGraphInternal::TableFrame, HanMacWrdJGraphInternal::TextboxFrame, and HanMacWrdJGraphInternal::TextFrame.

Referenced by HanMacWrdJGraph::sendFrame().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Frame const & | grph )
| friend

operator<<

## Member Data Documentation

## ◆ m_baseline

float HanMacWrdJGraphInternal::Frame::m_baseline

the baseline

Referenced by Frame(), operator<<, and HanMacWrdJGraph::readFrame().

## ◆ m_extra

std::string HanMacWrdJGraphInternal::Frame::m_extra

an extra string

Referenced by Frame(), operator<<, and HanMacWrdJGraph::readFrame().

## ◆ m_fileId

long HanMacWrdJGraphInternal::Frame::m_fileId

the file id

Referenced by Frame(), operator<<, HanMacWrdJGraph::prepareStructures(), HanMacWrdJGraph::sendFrame(), and HanMacWrdJGraph::sendTextbox().

## ◆ m_formatId

int HanMacWrdJGraphInternal::Frame::m_formatId

the format id

Referenced by Frame(), operator<<, HanMacWrdJGraph::readFrame(), HanMacWrdJGraph::sendComment(), HanMacWrdJGraph::sendFrame(), HanMacWrdJGraph::sendShapeGraph(), and HanMacWrdJGraph::sendTextbox().

## ◆ m_id

int HanMacWrdJGraphInternal::Frame::m_id

the local id

Referenced by Frame(), operator<<, and HanMacWrdJGraph::readFrame().

## ◆ m_inGroup

bool HanMacWrdJGraphInternal::Frame::m_inGroup

true if this node is a group's child

Referenced by Frame().

## ◆ m_page

int HanMacWrdJGraphInternal::Frame::m_page

the page

Referenced by HanMacWrdJGraph::canCreateGraphic(), Frame(), operator<<, HanMacWrdJGraph::readFrame(), and HanMacWrdJGraph::sendGroupChild().

## ◆ m_parsed

bool HanMacWrdJGraphInternal::Frame::m_parsed
| mutable

true if we have send the data

Referenced by Frame(), HanMacWrdJGraph::sendFrame(), HanMacWrdJGraph::sendGroup(), HanMacWrdJGraph::sendGroup(), and HanMacWrdJGraph::sendPictureFrame().

## ◆ m_pos

MWAWBox2f HanMacWrdJGraphInternal::Frame::m_pos

the position

Referenced by Frame(), getBdBox(), operator<<, HanMacWrdJGraph::readFrame(), and HanMacWrdJGraph::sendGroupChild().

## ◆ m_type

int HanMacWrdJGraphInternal::Frame::m_type

the graph type

Referenced by Frame(), operator<<, HanMacWrdJGraph::readFrame(), and HanMacWrdJGraph::sendFrame().

The documentation for this struct was generated from the following file:

- HanMacWrdJGraph.cxx